Package org.eclipse.graphiti.mm.algorithms.styles

# Interface GradientColoredAreas

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `GradientColoredAreasImpl`

public interface GradientColoredAreas extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Gradient Colored Areas'.

The following features are supported:

- `Gradient Color`
- `Style Adaption`

See Also:
  - `StylesPackage.getGradientColoredAreas()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<GradientColoredArea>`
`getGradientColor()`
Returns the value of the 'Gradient Color' containment reference list.
`Integer`
`getStyleAdaption()`
Returns the value of the 'Style Adaption' attribute.
`void`
`setStyleAdaption(Integer value)`
Sets the value of the '`Style Adaption`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getGradientColor

org.eclipse.emf.common.util.EList<GradientColoredArea> getGradientColor()
Returns the value of the 'Gradient Color' containment reference list. The list contents are of type `GradientColoredArea`.

If the meaning of the 'Gradient Color' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Gradient Color' containment reference list.
See Also:
  - `StylesPackage.getGradientColoredAreas_GradientColor()`

### getStyleAdaption

Integer getStyleAdaption()
Returns the value of the 'Style Adaption' attribute.

If the meaning of the 'Style Adaption' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Style Adaption' attribute.
See Also:
  - `setStyleAdaption(Integer)`
  - `StylesPackage.getGradientColoredAreas_StyleAdaption()`

### setStyleAdaption

void setStyleAdaption(Integer value)
Sets the value of the '`Style Adaption`' attribute.

Parameters:
  `value` - the new value of the 'Style Adaption' attribute.
See Also:
  - `getStyleAdaption()`